<mamecheat version="1">

  <cheat desc="Infinite Energy">
    <script state="run">
      <action>maincpu.pb@100C59=00</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bullets">
    <script state="run">
      <action>maincpu.pb@100B1F=22</action>
    </script>
  </cheat>

  <cheat desc="Infinite Magazines">
    <script state="run">
      <action>maincpu.pb@100B21=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Grenades">
    <script state="run">
      <action>maincpu.pb@100B23=05</action>
    </script>
  </cheat>

  <cheat desc="Never have any soldiers to kill">
    <script state="run">
      <action>maincpu.pb@0FF039=00</action>
    </script>
  </cheat>

  <cheat desc="Never have any Helicopters to destroy">
    <script state="run">
      <action>maincpu.pb@0FF03D=00</action>
    </script>
  </cheat>

  <cheat desc="Never have any Tanks to destroy">
    <script state="run">
      <action>maincpu.pb@0FF03F=00</action>
    </script>
  </cheat>

  <cheat desc="Never have any Ships to destroy">
    <script state="run">
      <action>maincpu.pb@0FF041=00</action>
    </script>
  </cheat>

  <cheat desc="No more soldiers to kill Now!"> <comment>Effects current level only</comment>
    <script state="on">
      <action>maincpu.pb@0FF039=00</action>
    </script>
  </cheat>

  <cheat desc="No more helicopters Now!"> <comment>Effects current level only</comment>
    <script state="on">
      <action>maincpu.pb@0FF03D=00</action>
    </script>
  </cheat>

  <cheat desc="No more tanks to destroy Now!"> <comment>Effects current level only</comment>
    <script state="on">
      <action>maincpu.pb@0FF03F=00</action>
    </script>
  </cheat>

  <cheat desc="No more ships to destroy Now!"> <comment>Effects current level only</comment>
    <script state="on">
      <action>maincpu.pb@0FF041=00</action>
    </script>
  </cheat>

  <cheat desc="Finish this Level Now!"> <comment>In levels 5 + 6, you must rescue at least one hostage before using this cheat</comment>
    <script state="on">
      <action>maincpu.pb@0FF039=00</action>
      <action>maincpu.pb@0FF03D=00</action>
      <action>maincpu.pb@0FF03F=00</action>
      <action>maincpu.pb@0FF041=00</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
